Subject: Re: bug#42248: 27.0.91; With enchant-2.2.8 from Guix, Flyspell errors out or gives lots of false positives

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Aug 2020 17:42:53 +0300

> From: Jorge P. de Morais Neto <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 24 Aug 2020 11:30:18 -0300
> 
> > Bottom line: someone who has Enchant installed will have to step
> > through the code which invokes it and sets up spell-checking, and see
> > what goes wrong with that version of Enchant that uses Aspell.
> 
> OK, so in the weekend I started stepping trough the Enchant setup code
> in ispell.el.  I have already made two small but important corrections.
> The provisional patch is at the end of this message, but it is not
> enough to fix the problem, so you may want to wait until I finish the
> job---maybe next weekend?

Yes, it's better to have the entire issue understood.  Thanks.

I don't think I understand the proposed changes -- can you tell in
more detail why they are needed?

> 
> In order to step though the Enchant setup code, I:
> 1. Open a new Emacs instance
> 2. Invoke M-x edebug-all-defs
> 3. Open ispell.el
> 4. Invoke M-x eval-buffer twice
> 
> Is this the best way to step though the setup code?
> 
> And I have found weird behavior of enchant-lsmod-2 on the command line.
> See:
> 
> $ enchant-lsmod-2 -word-chars en_us
> 0123456789
> 
> Shouldn't the output above include the apostrophe?

Maybe the dictionary you are using doesn't support the apostrophe?